<main>
  <h1>{{title}}</h1>
  <div>
    <a routerLink="/visitor">Visitor</a> |
    <a routerLink="/animals">Animals</a> |
    <button *ngIf="!loggedIn" (click)="handleLoginKeycloak()">Login</button>
    <button *ngIf="loggedIn" (click)="handleLogoutKeycloak()">Logout</button>
    <p *ngIf="loggedIn">Hello <b>{{ username() }}!</b></p>
  </div>
  <div *ngIf="loggedIn">
    <pre>{{ getKeycloakToken() }}</pre>
  </div>
  <router-outlet></router-outlet>
</main>
